/* sleep.c (emx+gcc) */

#include <stdio.h>
#include <stdlib.h>

#define FALSE   0
#define TRUE    1

static void usage (void)
{
  fputs ("Usage: sleep [-s] <time>\n", stderr);
  exit (1);
}

int main (int argc, char *argv[])
{
  int size, idx, sleep_flag;
  char *p;
  
  sleep_flag = FALSE;
  for (idx = 1; idx < argc; ++idx)
    if (strcmp (argv[idx], "-s") == 0)
      sleep_flag = TRUE;
    else
      break;
  if (argc - idx != 1)
    usage ();

  size = strtoul (argv[idx], &p, 10);

  if (sleep_flag)
  	sleep(size);
  else
	_sleep2(size);
}
